{ ******************************************************************
  Sign of real variable
  ****************************************************************** }

unit usign;

interface

uses
  utypes;

function Sgn(X : Float) : Integer;    { Sign (returns 1 if X = 0) }
function Sgn0(X : Float) : Integer;   { Sign (returns 0 if X = 0) }
function DSgn(A, B : Float) : Float;  { Sgn(B) * |A| }

implementation

  function Sgn(X : Float) : Integer;
  begin
    if X >= 0.0 then
      Sgn := 1
    else
      Sgn := - 1;
  end;

  function Sgn0(X : Float) : Integer;
  begin
    if X > 0.0 then
      Sgn0 := 1
    else if X = 0.0 then
      Sgn0 := 0
    else
      Sgn0 := - 1;
  end;

  function DSgn(A, B : Float) : Float;
  begin
    if B < 0.0 then DSgn := - Abs(A) else DSgn := Abs(A)
  end;

end.
